This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 913667 - Merge patch to support listening on multiple IP interfaces on multi-home systems.
Merge patch to support listening on multiple IP interfaces on multi-home syst...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ndjbdns (Show other bugs)
rawhide
All All
unspecified Severity high
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
https://github.com/pjps/ndjbdns/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-21 13:29 EST by pjp
Modified: 2013-03-29 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-23 19:52:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pjp 2013-02-21 13:29:36 EST
tinydns server does not support listening for income requests on multiple interfaces, typical on a multi-home servers. Following patch facilitates this feature.

http://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/dnscache-multiple-ip.patch
http://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/djbdns-1.05-multiip.diff
Comment 1 pjp 2013-03-02 13:08:46 EST
This is fixed. Needs review and testing though.

 -> https://github.com/pjps/ndjbdns/commit/cec3b4ddd08ba800ae7aa1e292d7b6335243dcb9
Comment 2 Simone Caronni 2013-03-04 07:47:55 EST
I can confirm this works, tested with multiple ip addresses and had no issue.

Problem of response always coming out on the primary interface in case of multiple ip addresses on the same segment still persist though.

This is on separate bug #917580.
Comment 3 Fedora Update System 2013-03-14 11:07:04 EDT
ndjbdns-1.05.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.7-1.fc17
Comment 4 Fedora Update System 2013-03-14 11:08:22 EDT
ndjbdns-1.05.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.7-1.fc18
Comment 5 Fedora Update System 2013-03-14 11:55:36 EDT
ndjbdns-1.05.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.7-1.el6
Comment 6 Fedora Update System 2013-03-14 11:56:44 EDT
ndjbdns-1.05.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ndjbdns-1.05.7-1.el5
Comment 7 Fedora Update System 2013-03-23 19:52:43 EDT
ndjbdns-1.05.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-23 20:03:58 EDT
ndjbdns-1.05.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Bruno Wolff III 2013-03-25 11:53:54 EDT
Note that you can use an IP address of 0.0.0.0 to listen on all interfaces. However this new change is nice if you want to listen on more than one, but not all interfaces. This is useful if you are running a resolver and a publisher on the same host on different and multiple IP addresses. Previously you needed to run an instance per IP address to do the same thing.
Comment 10 Fedora Update System 2013-03-29 17:28:17 EDT
ndjbdns-1.05.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-03-29 17:30:50 EDT
ndjbdns-1.05.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.